#include<iostream>
using namespace std;
int main() {
    int N, K, p;
    int o=0;
    int i=0;
    cin>>N>>K;
    int pogodci1[N+1];
    int pogodci[N+1];
    while (i <= N) {
        pogodci[i]=0;
        pogodci1[i]=0;
        i++;
    }
    i=0;
    while(i<N) {
        cin>>p;
        if(p>=0) {
        
            pogodci1[p]++;
        }
        if(p<0) {
            p=p*(-1);
            pogodci[p]++;
        }
        i++;
    }
    i=0;
    while(i<=N) {
        if(pogodci1[i]>=K){
            o++;
        }
        if(pogodci[i]>=K){
            o++;
        }
        i++;
    }
    cout<<o<<endl;
    i=0;
    while(i<=N){
        if(pogodci[i]>=K){
            cout<<i*(-1)<<" ";
        }
        i++;
    }
    i=0;
    while(i<=N){
        if(pogodci1[i]>=K){
            cout<<i<<" ";
        }
        
        i++;
    }
}